package com.gh.gamecenter.feature.entity

import android.os.Parcelable
import com.gh.gamecenter.common.entity.CommunityEntity
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
data class ArticleDraftEntity(
    @SerializedName("_id")
    var id: String = "",
    val title: String = "",
    var content: String = "",
    val count: Count = Count(),
    val time: Time = Time(),
    @SerializedName("article_id")
    val articleId: String = "",
    val community: CommunityEntity = CommunityEntity(),
    @SerializedName("tag_activity_id")
    var tagActivityId: String? = "",
    @SerializedName("tag_activity_name")
    var tagActivityName: String? = "",
    var type: String? = "",
    var gameEntity: GameEntity? = null
) : Parcelable

@Parcelize
data class Time(
    val create: Long = 0,
    val update: Long = 0
) : Parcelable